<?php
/**
 * cycure customizer
 *
 * @package cycure
 */

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Added Panels & Sections
 */
function cycure_customizer_panels_sections( $wp_customize ) {

    //Add panel
    $wp_customize->add_panel( 'cycure_customizer', [
        'priority' => 10,
        'title'    => esc_html__( 'Cycure Customizer', 'cycure' ),
    ] );

    /**
     * Customizer Section
     */
    $wp_customize->add_section( 'header_right_setting', [
        'title'       => esc_html__( 'Header Right Setting', 'cycure' ),
        'description' => '',
        'priority'    => 10,
        'capability'  => 'edit_theme_options',
        'panel'       => 'cycure_customizer',
    ] );

    $wp_customize->add_section( 'header_side_setting', [
        'title'       => esc_html__( 'Side Info Setting', 'cycure' ),
        'description' => '',
        'priority'    => 11,
        'capability'  => 'edit_theme_options',
        'panel'       => 'cycure_customizer',
    ] );

    $wp_customize->add_section( 'mobile_menu_setting', [
        'title'       => esc_html__( 'Mobile Menu Setting', 'cycure' ),
        'description' => '',
        'priority'    => 12,
        'capability'  => 'edit_theme_options',
        'panel'       => 'cycure_customizer',
    ] );

    $wp_customize->add_section( 'section_header_logo', [
        'title'       => esc_html__( 'Header Setting', 'cycure' ),
        'description' => '',
        'priority'    => 13,
        'capability'  => 'edit_theme_options',
        'panel'       => 'cycure_customizer',
    ] );

    $wp_customize->add_section( 'breadcrumb_setting', [
        'title'       => esc_html__( 'Breadcrumb Setting', 'cycure' ),
        'description' => '',
        'priority'    => 15,
        'capability'  => 'edit_theme_options',
        'panel'       => 'cycure_customizer',
    ] );

    $wp_customize->add_section( 'blog_setting', [
        'title'       => esc_html__( 'Blog Setting', 'cycure' ),
        'description' => '',
        'priority'    => 16,
        'capability'  => 'edit_theme_options',
        'panel'       => 'cycure_customizer',
    ] );

    $wp_customize->add_section( 'footer_setting', [
        'title'       => esc_html__( 'Footer Settings', 'cycure' ),
        'description' => '',
        'priority'    => 17,
        'capability'  => 'edit_theme_options',
        'panel'       => 'cycure_customizer',
    ] );

    $wp_customize->add_section( 'color_setting', [
        'title'       => esc_html__( 'Color Setting', 'cycure' ),
        'description' => '',
        'priority'    => 18,
        'capability'  => 'edit_theme_options',
        'panel'       => 'cycure_customizer',
    ] );

    $wp_customize->add_section( '404_page', [
        'title'       => esc_html__( '404 Page', 'cycure' ),
        'description' => '',
        'priority'    => 19,
        'capability'  => 'edit_theme_options',
        'panel'       => 'cycure_customizer',
    ] );

    $wp_customize->add_section( 'typo_setting', [
        'title'       => esc_html__( 'Typography Setting', 'cycure' ),
        'description' => '',
        'priority'    => 20,
        'capability'  => 'edit_theme_options',
        'panel'       => 'cycure_customizer',
    ] );

    $wp_customize->add_section( 'slug_setting', [
        'title'       => esc_html__( 'Slug Settings', 'cycure' ),
        'description' => '',
        'priority'    => 21,
        'capability'  => 'edit_theme_options',
        'panel'       => 'cycure_customizer',
    ] );
}

add_action( 'customize_register', 'cycure_customizer_panels_sections' );


/*
Header Right Settings
*/
function _header_right_fields( $fields ) {

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'cycure_show_header_right',
        'label'    => esc_html__( 'Show Header Right', 'cycure' ),
        'section'  => 'header_right_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'cycure' ),
            'off' => esc_html__( 'Disable', 'cycure' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'cycure_preloader',
        'label'    => esc_html__( 'Preloader ON/OFF', 'cycure' ),
        'section'  => 'header_right_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'cycure' ),
            'off' => esc_html__( 'Disable', 'cycure' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'cycure_backtotop',
        'label'    => esc_html__( 'Back To Top ON/OFF', 'cycure' ),
        'section'  => 'header_right_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'cycure' ),
            'off' => esc_html__( 'Disable', 'cycure' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'cycure_show_header_social',
        'label'    => esc_html__( 'Show Header Social', 'cycure' ),
        'section'  => 'header_right_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'cycure' ),
            'off' => esc_html__( 'Disable', 'cycure' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'cycure_show_hamburger_btn',
        'label'    => esc_html__( 'Show Hamburger Button', 'cycure' ),
        'section'  => 'header_right_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'cycure' ),
            'off' => esc_html__( 'Disable', 'cycure' ),
        ],
    ];

    // header section social
    $fields[] = [
        'type'     => 'text',
        'settings' => 'cycure_header_fb_url',
        'label'    => esc_html__( 'Facebook URL', 'cycure' ),
        'section'  => 'header_right_setting',
        'default'  => esc_html__( '#', 'cycure' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'cycure_header_twitter_url',
        'label'    => esc_html__( 'Twitter URL', 'cycure' ),
        'section'  => 'header_right_setting',
        'default'  => esc_html__( '#', 'cycure' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'cycure_header_linkedin_url',
        'label'    => esc_html__( 'Linkedin URL', 'cycure' ),
        'section'  => 'header_right_setting',
        'default'  => esc_html__( '#', 'cycure' ),
        'priority' => 10,
    ];

    return $fields;
}
add_filter( 'kirki/fields', '_header_right_fields' );

/*
Mobile Menu Settings
*/
function _mobile_menu_fields( $fields ) {

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'mobile_logo',
        'label'       => esc_html__( 'Mobile Menu Logo', 'cycure' ),
        'description' => esc_html__( 'Upload Your Logo.', 'cycure' ),
        'section'     => 'mobile_menu_setting',
        'default'     => get_template_directory_uri() . '/assets/img/logo/logo.png',
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'cycure_show_mobile_social',
        'label'    => esc_html__( 'Show Mobile Menu Social', 'cycure' ),
        'section'  => 'mobile_menu_setting',
        'default'  => 1,
        'priority' => 12,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'cycure' ),
            'off' => esc_html__( 'Disable', 'cycure' ),
        ],
    ];

    // Mobile section social
    $fields[] = [
        'type'     => 'text',
        'settings' => 'cycure_mobile_fb_url',
        'label'    => esc_html__( 'Facebook URL', 'cycure' ),
        'section'  => 'mobile_menu_setting',
        'default'  => esc_html__( '#', 'cycure' ),
        'priority' => 12,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'cycure_mobile_twitter_url',
        'label'    => esc_html__( 'Twitter URL', 'cycure' ),
        'section'  => 'mobile_menu_setting',
        'default'  => esc_html__( '#', 'cycure' ),
        'priority' => 12,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'cycure_mobile_instagram_url',
        'label'    => esc_html__( 'Instagram URL', 'cycure' ),
        'section'  => 'mobile_menu_setting',
        'default'  => esc_html__( '#', 'cycure' ),
        'priority' => 12,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'cycure_mobile_linkedin_url',
        'label'    => esc_html__( 'Linkedin URL', 'cycure' ),
        'section'  => 'mobile_menu_setting',
        'default'  => esc_html__( '#', 'cycure' ),
        'priority' => 12,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'cycure_mobile_youtube_url',
        'label'    => esc_html__( 'Youtube URL', 'cycure' ),
        'section'  => 'mobile_menu_setting',
        'default'  => esc_html__( '#', 'cycure' ),
        'priority' => 12,
    ];

    return $fields;
}
add_filter( 'kirki/fields', '_mobile_menu_fields' );


/*
Header Settings
 */
function _header_header_fields( $fields ) {
    $fields[] = [
        'type'        => 'radio-image',
        'settings'    => 'choose_default_header',
        'label'       => esc_html__( 'Select Header Style', 'cycure' ),
        'section'     => 'section_header_logo',
        'placeholder' => esc_html__( 'Select an option...', 'cycure' ),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            'header-style-1'   => get_template_directory_uri() . '/inc/img/header/header-1.png',
            'header-style-2' => get_template_directory_uri() . '/inc/img/header/header-2.png',
        ],
        'default'     => 'header-style-1',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'logo',
        'label'       => esc_html__( 'Header Logo', 'cycure' ),
        'description' => esc_html__( 'Upload Your Logo.', 'cycure' ),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/assets/img/logo/logo.png',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'secondary_logo',
        'label'       => esc_html__( 'Header Secondary Logo', 'cycure' ),
        'description' => esc_html__( 'Header Logo Black', 'cycure' ),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/assets/img/logo/secondary_logo.png',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'preloader_logo',
        'label'       => esc_html__( 'Preloader Logo', 'cycure' ),
        'description' => esc_html__( 'Upload Preloader Logo.', 'cycure' ),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/assets/img/favicon.png',
    ];

    return $fields;
}
add_filter( 'kirki/fields', '_header_header_fields' );

/*
Header Side Info
 */
function _header_side_fields( $fields ) {
    // side info settings
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'cycure_side_hide',
        'label'    => esc_html__( 'Side Info ON/OFF', 'cycure' ),
        'section'  => 'header_side_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'cycure' ),
            'off' => esc_html__( 'Disable', 'cycure' ),
        ],
    ];
    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'cycure_extra_title',
        'label'    => esc_html__( 'Side Title', 'cycure' ),
        'section'  => 'header_side_setting',
        'default'  => wp_kses_post( 'Digital safety <span>starts here</span> for both commercial and personal', 'cycure' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'cycure_extra_about_text',
        'label'    => esc_html__( 'Side Description Text', 'cycure' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'Nam libero tempore, cum soluta nobis eligendi cumque quod placeat facere possimus assumenda omnis dolor repellendu sautem temporibus officiis', 'cycure' ),
        'priority' => 10,
    ];

    // Contact
    $fields[] = [
        'type'     => 'text',
        'settings' => 'cycure_contact_number',
        'label'    => esc_html__( 'Phone Number', 'cycure' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( '+1 488 246 5357', 'cycure' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'cycure_contact_mail',
        'label'    => esc_html__( 'Email Address', 'cycure' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'cycure.agency@mail.com', 'cycure' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'cycure_office_address',
        'label'    => esc_html__( 'Office Address', 'cycure' ),
        'section'  => 'header_side_setting',
        'default'  => wp_kses_post( '3828 Delmas Terrace, Culver City, <br> CA, United States', 'cycure' ),
        'priority' => 10,
    ];

    // Sidebar Social
    $fields[] = [
        'type'     => 'text',
        'settings' => 'cycure_sidebar_fb_url',
        'label'    => esc_html__( 'Facebook URL', 'cycure' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( '#', 'cycure' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'cycure_sidebar_twitter_url',
        'label'    => esc_html__( 'Twitter URL', 'cycure' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( '#', 'cycure' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'cycure_sidebar_instagram_url',
        'label'    => esc_html__( 'Instagram URL', 'cycure' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( '#', 'cycure' ),
        'priority' => 10,
    ];

    return $fields;
}
add_filter( 'kirki/fields', '_header_side_fields' );

/*
_header_page_title_fields
 */
function _header_page_title_fields( $fields ) {
    // Breadcrumb Setting
    $fields[] = [
        'type'        => 'image',
        'settings'    => 'breadcrumb_bg_img',
        'label'       => esc_html__( 'Breadcrumb Background Image', 'cycure' ),
        'description' => esc_html__( 'Breadcrumb Background Image', 'cycure' ),
        'section'     => 'breadcrumb_setting',
        'default'     => get_template_directory_uri() . '/assets/img/bg/breadcrumb_bg.png',
    ];
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'cycure_breadcrumb_bg_color',
        'label'       => __( 'Breadcrumb BG Color', 'cycure' ),
        'description' => esc_html__( 'This is a Breadcrumb bg color control.', 'cycure' ),
        'section'     => 'breadcrumb_setting',
        'default'     => '#00172F',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'breadcrumb_info_switch',
        'label'    => esc_html__( 'Breadcrumb Info switch', 'cycure' ),
        'section'  => 'breadcrumb_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'cycure' ),
            'off' => esc_html__( 'Disable', 'cycure' ),
        ],
    ];

    return $fields;
}
add_filter( 'kirki/fields', '_header_page_title_fields' );

/*
Header Social
 */
function _header_blog_fields( $fields ) {
// Blog Setting
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'cycure_blog_btn_switch',
        'label'    => esc_html__( 'Blog Button ON/OFF', 'cycure' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'cycure' ),
            'off' => esc_html__( 'Disable', 'cycure' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'cycure_blog_cat',
        'label'    => esc_html__( 'Blog Category Meta ON/OFF', 'cycure' ),
        'section'  => 'blog_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'cycure' ),
            'off' => esc_html__( 'Disable', 'cycure' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'cycure_blog_author',
        'label'    => esc_html__( 'Blog Author Meta ON/OFF', 'cycure' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'cycure' ),
            'off' => esc_html__( 'Disable', 'cycure' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'cycure_blog_date',
        'label'    => esc_html__( 'Blog Date Meta ON/OFF', 'cycure' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'cycure' ),
            'off' => esc_html__( 'Disable', 'cycure' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'cycure_blog_comments',
        'label'    => esc_html__( 'Blog Comments Meta ON/OFF', 'cycure' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'cycure' ),
            'off' => esc_html__( 'Disable', 'cycure' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'cycure_show_blog_share',
        'label'    => esc_html__( 'Show Blog Share', 'cycure' ),
        'section'  => 'blog_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'cycure' ),
            'off' => esc_html__( 'Disable', 'cycure' ),
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'cycure_blog_btn',
        'label'    => esc_html__( 'Blog Button text', 'cycure' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Read More', 'cycure' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_blog_title',
        'label'    => esc_html__( 'Blog Title', 'cycure' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Blog', 'cycure' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_blog_title_details',
        'label'    => esc_html__( 'Blog Details Title', 'cycure' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Blog Details', 'cycure' ),
        'priority' => 10,
    ];
    return $fields;
}
add_filter( 'kirki/fields', '_header_blog_fields' );

/*
Footer
 */
function _header_footer_fields( $fields ) {
    // Footer Setting
    $fields[] = [
        'type'        => 'radio-image',
        'settings'    => 'choose_default_footer',
        'label'       => esc_html__( 'Choose Footer Style', 'cycure' ),
        'section'     => 'footer_setting',
        'default'     => '5',
        'placeholder' => esc_html__( 'Select an option...', 'cycure' ),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            'footer-style-1'   => get_template_directory_uri() . '/inc/img/footer/footer-1.png',
        ],
        'default'     => 'footer-style-1',
    ];

    $fields[] = [
        'type'        => 'select',
        'settings'    => 'footer_widget_number',
        'label'       => esc_html__( 'Widget Number', 'cycure' ),
        'section'     => 'footer_setting',
        'default'     => '4',
        'placeholder' => esc_html__( 'Select an option...', 'cycure' ),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            '4' => esc_html__( 'Widget Number 4', 'cycure' ),
            '3' => esc_html__( 'Widget Number 3', 'cycure' ),
            '2' => esc_html__( 'Widget Number 2', 'cycure' ),
        ],
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'cycure_footer_bg',
        'label'       => esc_html__( 'Footer Background Image.', 'cycure' ),
        'description' => esc_html__( 'Footer Background Image.', 'cycure' ),
        'section'     => 'footer_setting',
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'cycure_footer_bg_color',
        'label'       => __( 'Footer BG Color', 'cycure' ),
        'description' => esc_html__( 'This is a Footer bg color control.', 'cycure' ),
        'section'     => 'footer_setting',
        'default'     => '#00172F',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'cycure_copyright',
        'label'    => esc_html__( 'Copy Right', 'cycure' ),
        'section'  => 'footer_setting',
        'default'  => wp_kses_post( 'Copyright ©2023 Design By <span>ThemeDox</span>', 'cycure' ),
        'priority' => 10,
    ];
    return $fields;
}
add_filter( 'kirki/fields', '_header_footer_fields' );

// color
function cycure_color_fields( $fields ) {

    // Primary Color Settings
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'cycure_color_option',
        'label'       => __( 'Theme Color', 'cycure' ),
        'description' => esc_html__( 'This is a Primary color control.', 'cycure' ),
        'section'     => 'color_setting',
        'default'     => '#F9C747',
        'priority'    => 10,
    ];

    // Secondary Color Settings
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'cycure_color_option2',
        'label'       => __( 'Theme Color', 'cycure' ),
        'description' => esc_html__( 'This is a Secondary color control.', 'cycure' ),
        'section'     => 'color_setting',
        'default'     => '#3657CD',
        'priority'    => 10,
    ];

    return $fields;
}
add_filter( 'kirki/fields', 'cycure_color_fields' );

// 404
function cycure_404_fields( $fields ) {
    // 404 settings
    $fields[] = [
        'type'     => 'text',
        'settings' => 'cycure_error_text',
        'label'    => esc_html__( '404 Text', 'cycure' ),
        'section'  => '404_page',
        'default'  => esc_html__( '404', 'cycure' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'cycure_error_title',
        'label'    => esc_html__( 'Not Found Title', 'cycure' ),
        'section'  => '404_page',
        'default'  => esc_html__( 'Sorry, the page you are looking for could not be found', 'cycure' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'cycure_error_link_text',
        'label'    => esc_html__( '404 Link Text', 'cycure' ),
        'section'  => '404_page',
        'default'  => esc_html__( 'Back To Home', 'cycure' ),
        'priority' => 10,
    ];
    return $fields;
}
add_filter( 'kirki/fields', 'cycure_404_fields' );


/**
 * Added Fields
 */
function cycure_typo_fields( $fields ) {
    // typography settings
    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_body_setting',
        'label'       => esc_html__( 'Body Font', 'cycure' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'body',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h_setting',
        'label'       => esc_html__( 'Heading h1 Fonts', 'cycure' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h1',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h2_setting',
        'label'       => esc_html__( 'Heading h2 Fonts', 'cycure' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h2',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h3_setting',
        'label'       => esc_html__( 'Heading h3 Fonts', 'cycure' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h3',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h4_setting',
        'label'       => esc_html__( 'Heading h4 Fonts', 'cycure' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h4',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h5_setting',
        'label'       => esc_html__( 'Heading h5 Fonts', 'cycure' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h5',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h6_setting',
        'label'       => esc_html__( 'Heading h6 Fonts', 'cycure' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h6',
            ],
        ],
    ];
    return $fields;
}

add_filter( 'kirki/fields', 'cycure_typo_fields' );


/**
 * Added Fields
 */
function cycure_slug_setting( $fields ) {
    // slug settings
    $fields[] = [
        'type'     => 'text',
        'settings' => 'cycure_ev_slug',
        'label'    => esc_html__( 'Event Slug', 'cycure' ),
        'section'  => 'slug_setting',
        'default'  => esc_html__( 'ourevent', 'cycure' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'cycure_port_slug',
        'label'    => esc_html__( 'Portfolio Slug', 'cycure' ),
        'section'  => 'slug_setting',
        'default'  => esc_html__( 'ourportfolio', 'cycure' ),
        'priority' => 10,
    ];

    return $fields;
}

add_filter( 'kirki/fields', 'cycure_slug_setting' );


/**
 * This is a short hand function for getting setting value from customizer
 *
 * @param string $name
 *
 * @return bool|string
 */
function CYCURE_THEME_option( $name ) {
    $value = '';
    if ( class_exists( 'cycure' ) ) {
        $value = Kirki::get_option( cycure_get_theme(), $name );
    }

    return apply_filters( 'CYCURE_THEME_option', $value, $name );
}

/**
 * Get config ID
 *
 * @return string
 */
function cycure_get_theme() {
    return 'cycure';
}