<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package cycure
 */

    $gallery_images = function_exists('get_field') ? get_field('gallery_images') : '';
    $cycure_show_blog_share = get_theme_mod('cycure_show_blog_share', false);
?>

<?php if ( is_single() ): ?>

    <article id="post-<?php the_ID();?>" <?php post_class( 'standard-blog-post format-gallery' );?>>

        <?php if ( has_post_thumbnail() ): ?>
        <div class="standard-post-thumb blog-thumb-active">
            <?php foreach( $gallery_images as $key => $image ) :  ?>
                <img src="<?php echo esc_url($image['url']); ?>" alt="<?php echo esc_attr($image['alt']); ?>">
            <?php endforeach; ?>
        </div>
        <?php endif; ?>

        <div class="standard-post-content blog-details-content">
            <!-- blog meta -->
            <?php get_template_part( 'template-parts/blog/blog-meta' ); ?>

            <h2 class="title"><?php the_title();?></h2>

            <div class="post-text">
                <?php the_content();?>
                <?php
                    wp_link_pages( [
                        'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'cycure' ),
                        'after'       => '</div>',
                        'link_before' => '<span class="page-number">',
                        'link_after'  => '</span>',
                    ] );
                ?>
            </div>

            <div class="blog-details-bottom">

                <?php print cycure_get_tag();?>

                <?php if (!empty($cycure_show_blog_share)) : ?>
                <div class="post-share">
                    <h5 class="share-title"><?php echo esc_html__( 'Share :', 'cycure' )?></h5>
                    <?php cycure_social_share(); ?>
                </div>
                <?php endif; ?>
            </div>
        </div>
    </article>

<?php else: ?>


    <article id="post-<?php the_ID();?>" <?php post_class( 'standard-blog-post format-gallery' );?> >

        <?php if ( !empty( $gallery_images ) ): ?>
        <div class="standard-post-thumb blog-thumb-active">
            <?php foreach( $gallery_images as $key => $image ) :  ?>
                <img src="<?php echo esc_url($image['url']); ?>" alt="<?php echo esc_attr($image['alt']); ?>">
            <?php endforeach; ?>
        </div>
        <?php endif; ?>

        <div class="standard-post-content">

            <!-- blog meta -->
            <?php get_template_part( 'template-parts/blog/blog-meta' ); ?>

            <h2 class="title"><a href="<?php the_permalink();?>"><?php the_title();?></a></h2>

        </div>
    </article>

<?php
endif;?>