<?php

	/**
	* Template part for displaying header layout one
	*
	* @link https://developer.wordpress.org/themes/basics/template-hierarchy/
	*
	* @package cycure
	*/

    // Header Right
    $cycure_show_header_right = get_theme_mod( 'cycure_show_header_right', false );
    $cycure_show_header_social = get_theme_mod( 'cycure_show_header_social', false );
    $cycure_show_hamburger_btn = get_theme_mod( 'cycure_show_hamburger_btn', false );
    $cycure_show_mobile_social = get_theme_mod( 'cycure_show_mobile_social', true );

?>


<!-- header-area -->
<header>
    <div id="sticky-header" class="menu-area transparent-header header-shop-cart-active">
        <div class="container custom-container">
            <div class="row">
                <div class="col-12">
                    <div class="mobile-nav-toggler"><i class="fas fa-bars"></i></div>
                    <div class="menu-wrap">
                        <nav class="menu-nav">
                            <div class="logo">
                                <?php cycure_header_logo(); ?>
                            </div>
                            <div class="navbar-wrap main-menu d-none d-lg-flex">
                                <?php cycure_header_menu(); ?>
                            </div>
                            <?php if ( !empty($cycure_show_header_right) ) : ?>

                                <?php if ( !empty($cycure_show_header_social) ) : ?>
                                    <div class="header-social">
                                        <?php cycure_header_social_profiles(); ?>
                                    </div>
                                <?php endif; ?>

                                <?php if ( class_exists( 'WooCommerce' ) ) : ?>
                                <div class="header-cart">
                                    <a href="<?php echo wc_get_cart_url(); ?>" class="mini-cart-link">
                                        <img src="<?php echo get_template_directory_uri(); ?>/assets/img/icons/cart.svg" alt="icon">
                                        <?php echo esc_html__('Cart ','cycure') ?>
                                        <span id="tp-cart-item" class="mini-cart-count"><?php echo esc_html(WC()->cart->cart_contents_count); ?></span>
                                    </a>
                                </div>
                                <?php endif; ?>

                                <?php if ( !empty($cycure_show_hamburger_btn) ) : ?>
                                    <div class="offcanvas-btn">
                                        <a href="#"><img src="<?php echo get_template_directory_uri(); ?>/assets/img/icons/dots.png" alt="Icon"></a>
                                    </div>
                                <?php endif; ?>

                            <?php endif; ?>
                        </nav>
                    </div>
                    <!-- Mobile Menu  -->
                    <div class="mobile-menu">
                        <nav class="menu-box">
                            <div class="close-btn"><i class="fas fa-times"></i></div>
                            <div class="nav-logo">
                                <?php cycure_mobile_logo(); ?>
                            </div>
                            <div class="menu-outer">
                                <!--Here Menu Will Come Automatically Via Javascript / Same Menu as in Header-->
                            </div>

                            <?php if (!empty( $cycure_show_mobile_social )) : ?>
                            <div class="social-links">
                                <?php cycure_mobile_social_profiles(); ?>
                            </div>
                            <?php endif; ?>

                        </nav>
                    </div>
                    <div class="menu-backdrop"></div>
                    <!-- End Mobile Menu -->
                </div>
            </div>
        </div>
    </div>
</header>
<!-- header-area-end -->

<?php get_template_part( 'template-parts/header/header-side-info' ); ?>