<?php

   /**
    * Template part for displaying header side information
    *
    * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
    *
    * @package cycure
   */

    $cycure_side_hide = get_theme_mod( 'cycure_side_hide', false );
    $cycure_extra_title = get_theme_mod( 'cycure_extra_title', __( 'Digital safety <span>starts here</span> for both commercial and personal', 'cycure' ) );
    $cycure_extra_about_text = get_theme_mod( 'cycure_extra_about_text', __( 'Nam libero tempore, cum soluta nobis eligendi cumque quod placeat facere possimus assumenda omnis dolor repellendu sautem temporibus officiis', 'cycure' ) );

    $cycure_contact_number = get_theme_mod( 'cycure_contact_number', __( '+1 488 246 5357', 'cycure' ) );
    $cycure_contact_mail = get_theme_mod( 'cycure_contact_mail', __( 'cycure.agency@mail.com', 'cycure' ) );
    $cycure_office_address = get_theme_mod( 'cycure_office_address', __( '3828 Delmas Terrace, Culver City, <br> CA, United States', 'cycure' ) );

    $cycure_sidebar_fb_url = get_theme_mod( 'cycure_sidebar_fb_url', __( '#', 'cycure' ) );
    $cycure_sidebar_twitter_url = get_theme_mod( 'cycure_sidebar_twitter_url', __( '#', 'cycure' ) );
    $cycure_sidebar_instagram_url = get_theme_mod( 'cycure_sidebar_instagram_url', __( '#', 'cycure' ) );
?>


<!-- offCanvas-start -->
<?php if (!empty( $cycure_side_hide )) : ?>
<div class="offCanvas-wrap">
    <div class="offCanvas-toggle">
        <img src="<?php echo get_template_directory_uri(); ?>/assets/img/icons/cross.svg" alt="icon">
    </div>
    <div class="offCanvas-body">
        <div class="offCanvas-content">
            <h3 class="title"><?php echo wp_kses_post( $cycure_extra_title ) ?></h3>
            <p><?php echo esc_html( $cycure_extra_about_text ) ?></p>
        </div>
        <div class="offcanvas-contact footer-contact-info">
            <h4 class="number"><?php echo esc_html( $cycure_contact_number ) ?></h4>
            <h4 class="email"><?php echo esc_html( $cycure_contact_mail ) ?></h4>
            <p><?php echo wp_kses_post( $cycure_office_address ) ?></p>

            <ul class="footer-social list-wrap">
                <?php if ( !empty( $cycure_sidebar_fb_url ) ): ?>
                <li><a href="<?php print esc_url( $cycure_sidebar_fb_url );?>"><i class="fab fa-facebook-f"></i></a></li>
                <?php endif;?>

                <?php if ( !empty( $cycure_sidebar_twitter_url ) ): ?>
                    <li><a href="<?php print esc_url( $cycure_sidebar_twitter_url );?>"><i class="fab fa-twitter"></i></a></li>
                <?php endif;?>

                <?php if ( !empty( $cycure_sidebar_instagram_url ) ): ?>
                    <li><a href="<?php print esc_url( $cycure_sidebar_instagram_url );?>"><i class="fab fa-instagram"></i></a></li>
                <?php endif;?>
            </ul>

        </div>
    </div>
</div>
<div class="offCanvas-overlay"></div>
<?php endif; ?>
<!-- offCanvas-end -->